Subject: Re: [PATCH 1/3] repack: rewrite the shell script in C

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Sep 2013 11:17:13 -0700

Stefan Beller <[email-masked]> writes:

> +	struct option builtin_repack_options[] = {
> +		OPT_BIT('a', NULL, &pack_everything,
> +				N_("pack everything in a single pack"), ALL_INTO_ONE),
> +		OPT_BIT('A', NULL, &pack_everything,
> +				N_("same as -a, and turn unreachable objects loose"),
> +				   LOOSEN_UNREACHABLE),

Micronit.

With the current version of the code in cmd_repack() that uses the
pack_everything variable this may not make a difference, but I think
this should logically be "LOOSEN_UNREACHABLE | ALL_INTO_ONE" instead,
and the code should check (pack_evertying & ALL_INTO_ONE) instead of
checking "!pack_everything".  You may want to add to this flag variable
a new bit that does _not_ cause it to pack everything into one.